Subject: Re: International Herb Grwers Assoc.

From: [email-masked] (PatShannon)
Date: 22 Jul 1995 19:06:33 -0400

The Internation Herb Growers and Marketers Association has been renamed 
International Herb Association. Snail mail is 1202 Allanson Rd. Mundelin,
Il.
60060. 708-949-HERB. Annual conferencce is in Chicago on July 27-30.

Pat Shannon.